Raised This Month: $535 Target: $400
 133% 

FF2 [Help] Errors when using AMS


Post New Thread Reply   
 
Thread Tools Display Modes
Author Message
DanishSoup
Junior Member
Join Date: Dec 2020
Location: Rupture Farms
Old 12-22-2020 , 00:56   [Help] Errors when using AMS
Reply With Quote #1

Hello all, I'm a bit new to creating bosses for FF2 and I've had a problem for a while now. I'm currently making a boss that uses the ability management system (plugin sartsapub3) so he can have multiple rages. But the problem that I have is that once I test the boss, it spews out and spams an error. [sarysapub3] ERROR: Could not find .ff2:_CanInvoke()
None of the rages work and it wont cycle.

I haven't found much information about this error and what information I did find still didn't fix it.
I have downloaded the plugin from source because of the Get Plugin link would fail to compile.
I've tried compiling the plugin myself and having all the .inc files with it but it still gave out this error. I even tried asking my friend for his sarysapub3.ff2 file but it didn't work.
DanishSoup is offline
LeAlex14
Member
Join Date: Jun 2020
Location: La France
Old 12-22-2020 , 04:46   Re: [Help] Errors when using AMS
Reply With Quote #2

Quote:
Originally Posted by DanishSoup View Post
Hello all, I'm a bit new to creating bosses for FF2 and I've had a problem for a while now. I'm currently making a boss that uses the ability management system (plugin sartsapub3) so he can have multiple rages. But the problem that I have is that once I test the boss, it spews out and spams an error. [sarysapub3] ERROR: Could not find .ff2:_CanInvoke()
None of the rages work and it wont cycle.

I haven't found much information about this error and what information I did find still didn't fix it.
I have downloaded the plugin from source because of the Get Plugin link would fail to compile.
I've tried compiling the plugin myself and having all the .inc files with it but it still gave out this error. I even tried asking my friend for his sarysapub3.ff2 file but it didn't work.
Your plugin was compatible with ams ?
LeAlex14 is offline
J0BL3SS
Senior Member
Join Date: Sep 2020
Location: Turkey/Istanbul
Old 12-22-2020 , 07:37   Re: [Help] Errors when using AMS
Reply With Quote #3

Quote:
Originally Posted by DanishSoup View Post
Hello all, I'm a bit new to creating bosses for FF2 and I've had a problem for a while now. I'm currently making a boss that uses the ability management system (plugin sartsapub3) so he can have multiple rages. But the problem that I have is that once I test the boss, it spews out and spams an error. [sarysapub3] ERROR: Could not find .ff2:_CanInvoke()
None of the rages work and it wont cycle.

I haven't found much information about this error and what information I did find still didn't fix it.
I have downloaded the plugin from source because of the Get Plugin link would fail to compile.
I've tried compiling the plugin myself and having all the .inc files with it but it still gave out this error. I even tried asking my friend for his sarysapub3.ff2 file but it didn't work.
Im not sure whats wrong because you didn't give any information about which abilities your boss uses. You should make sure they are compitable with AMS. If they don't, you can use Batfoxkid's "do_ability" subplugin which makes uncompitable abilities work with AMS. Also you should use lates version of sarysapub3
__________________
My Steam Profile
My Discord Name: J0BL3SS#5320
J0BL3SS is offline
DanishSoup
Junior Member
Join Date: Dec 2020
Location: Rupture Farms
Old 12-22-2020 , 14:00   Re: [Help] Errors when using AMS
Reply With Quote #4

Quote:
Originally Posted by J0BL3SS View Post
Im not sure whats wrong because you didn't give any information about which abilities your boss uses. You should make sure they are compitable with AMS. If they don't, you can use Batfoxkid's "do_ability" subplugin which makes uncompitable abilities work with AMS. Also you should use lates version of sarysapub3
oh, sorry for not giving information about it. At the moment, my boss only uses ff2_dynamic_defaults and ff2_sarysapub3. dynamic defaults for weighdown and the high jump, and sarysapub3 for the rage. I'm trying to make my boss have multiple gun rages where he can switch through weapon to weapon.
[IMG]]https://i.imgur.com/D9dT8Dy.png[/IMG]
This is all I have at the moment for his rage.
DanishSoup is offline
J0BL3SS
Senior Member
Join Date: Sep 2020
Location: Turkey/Istanbul
Old 12-22-2020 , 14:26   Re: [Help] Errors when using AMS
Reply With Quote #5

Quote:
Originally Posted by DanishSoup View Post
oh, sorry for not giving information about it. At the moment, my boss only uses ff2_dynamic_defaults and ff2_sarysapub3. dynamic defaults for weighdown and the high jump, and sarysapub3 for the rage. I'm trying to make my boss have multiple gun rages where he can switch through weapon to weapon.
[IMG]]https://i.imgur.com/D9dT8Dy.png[/IMG]
This is all I have at the moment for his rage.
Use "ff2_sarysapub3" for ability management system. But other sarysapub3 abilities don't work properly due game updates etc (im not sure why either). Batfoxkid fixed state of "sarysapub3a" its a fixed version of sarysapub3
__________________
My Steam Profile
My Discord Name: J0BL3SS#5320

Last edited by J0BL3SS; 12-22-2020 at 14:28.
J0BL3SS is offline
DanishSoup
Junior Member
Join Date: Dec 2020
Location: Rupture Farms
Old 12-22-2020 , 14:41   Re: [Help] Errors when using AMS
Reply With Quote #6

Quote:
Originally Posted by J0BL3SS View Post
Use "ff2_sarysapub3" for ability management system. But other sarysapub3 abilities don't work properly due game updates etc (im not sure why either). Batfoxkid fixed state of "sarysapub3a" its a fixed version of sarysapub3
Hm, weird. Its still giving out the same error even when switching the abilities code to use sarysapub3a. Here's whats my console is spewing out.
[SM] Loaded plugin freaks\ff2_bosstweaks.ff2 successfully.
[SM] Loaded plugin freaks\ff2_dynamic_defaults.ff2 successfully.
[SM] Loaded plugin freaks\ff2_salmon.ff2 successfully.
[SM] Loaded plugin freaks\ff2_sarysapub3.ff2 successfully.
[SM] Loaded plugin freaks\ff2_sarysapub3a.ff2 successfully.
[SM] Loaded plugin freaks\ffbat_defaults.ff2 successfully.
[SM] Loaded plugin freaks\special_noanims.ff2 successfully.
[sarysapub3] ERROR: Could not find .ff2. _CanInvoke() failed.

I downloaded the .smx, renamed it to .ff2 and it didn't work
DanishSoup is offline
J0BL3SS
Senior Member
Join Date: Sep 2020
Location: Turkey/Istanbul
Old 12-22-2020 , 16:17   Re: [Help] Errors when using AMS
Reply With Quote #7

Quote:
Originally Posted by DanishSoup View Post
Hm, weird. Its still giving out the same error even when switching the abilities code to use sarysapub3a. Here's whats my console is spewing out.
[SM] Loaded plugin freaks\ff2_bosstweaks.ff2 successfully.
[SM] Loaded plugin freaks\ff2_dynamic_defaults.ff2 successfully.
[SM] Loaded plugin freaks\ff2_salmon.ff2 successfully.
[SM] Loaded plugin freaks\ff2_sarysapub3.ff2 successfully.
[SM] Loaded plugin freaks\ff2_sarysapub3a.ff2 successfully.
[SM] Loaded plugin freaks\ffbat_defaults.ff2 successfully.
[SM] Loaded plugin freaks\special_noanims.ff2 successfully.
[sarysapub3] ERROR: Could not find .ff2. _CanInvoke() failed.

I downloaded the .smx, renamed it to .ff2 and it didn't work
Sorry i doN't know the real issue but try replace these subplugins its works for me
__________________
My Steam Profile
My Discord Name: J0BL3SS#5320
J0BL3SS is offline
DanishSoup
Junior Member
Join Date: Dec 2020
Location: Rupture Farms
Old 12-22-2020 , 16:40   Re: [Help] Errors when using AMS
Reply With Quote #8

Quote:
Originally Posted by J0BL3SS View Post
Sorry i doN't know the real issue but try replace these subplugins its works for me
Alright so I did put the plugins in the server folder and I tested it on the boss i'm working on and it still spews the error. However, I tried using a premade boss with the AMS abilities and that worked. I think this is now a problem with my boss coding.
DanishSoup is offline
Reply


Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -4. The time now is 18:17.


Powered by vBulletin®
Copyright ©2000 - 2023, vBulletin Solutions, Inc.
Theme made by Freecode